import request from '@/utils/request'
// 黄牛列表分页
export function getPageList(params) {
  return request({
    url: '/admin/userCattle/getPageList',
    method: 'post',
    data: params
  })
}
// 获取通行的详情列表
export function getFaceLogList(params) {
  return request({
    url: '/admin/userCattle/getFaceLogList',
    method: 'post',
    data: params
  })
}
// 添加黑名单
export function addBlack(id) {
  return request({
    url: '/admin/userCattle/addBlack',
    method: 'get',
    params: {
      userCattleId: id
    }
  })
}
// 黄牛黑名单列表分页
export function getCattlePageList(params) {
  return request({
    url: '/admin/userBlackList/getCattlePageList',
    method: 'post',
    data: params
  })
}
// 删除黄牛黑名单
export function deleteCattle(id) {
  return request({
    url: '/admin/userBlackList/deleteCattle',
    method: 'get',
    params: {
      id
    }
  })
}
